# Program : run_lanczos.sh
# Description : Run Lanczos

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 5 ]; then
	 echo 1>&2 Usage: $0 [m] [k] [#_of_reducers] [eig_mode] [edge_path]
	 echo 1>&2 [#_of_nodes] : number of nodes in the graph
	 echo 1>&2 [#_of_reducers] : number of reducers to use in hadoop
	 echo 1>&2 [HDFS edge_file_path] : HDFS directory where edge file is located
	 echo 1>&2 [makesym or nosym] : makesym-duplicate reverse edges, nosym-use original edge file
	 echo 1>&2    ex: $0 6 3 lz_edge makesym
	 exit 127
fi


hadoop jar heigen-0.9.jar pegasus.RitzVectorCMV $1 $2 lanczos.ab $3 $4 $5

